## glite-jobid-api-c 2.1.2

=== Makefile ===
# Default values
top_srcdir=..
stagedir=.
globalprefix=glite
jobidprefix=jobid
package=glite-jobid-api-c
version=0.0.0

CC:=gcc
CXX:=g++

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test

DEBUG:=-g -O0 -Wall

CFLAGS:=${DEBUG} \
	-I${top_srcdir}/interface -I${top_srcdir}/src \
	${COVERAGE_FLAGS} \
	-D_GNU_SOURCE ${CFLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
CXXCOMPILE:=libtool --mode=compile ${CXX} ${CXXFLAGS}
LINK:=libtool --mode=link ${CC} ${LDFLAGS} 
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
INSTALL:=libtool --mode=install install

LIBOBJS:=cjobid.o strmd5.o 
HDRS:=cjobid.h strmd5.h

LIBLOBJS:=${LIBOBJS:.o=.lo}

LIB:=libglite_jobid.la

os=${shell uname}
DL_LIBS:=
ifeq (${os},Linux)
	DL_LIBS:=-ldl
endif
TEST_LIBS:=-L${cppunit_prefix}/${libdir} -lcppunit ${DL_LIBS}
TEST_INC:=-I${cppunit_prefix}/include

compile all: ${LIB}

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: 1.0
offset=0
version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split /\./,"${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

${LIB}: ${LIBOBJS}
	${LINK} ${version_info} -o $@ ${LIBLOBJS} -rpath ${stagedir}${prefix}/${libdir}

check: compile base64_test
	./base64_test base64_test.xml

base64_test: %: %.cpp compile
	${CXX} -c ${CFLAGS} ${TEST_INC} $<
	${LINKXX} -o $@ $@.o ${LIB} ${TEST_LIBS}

clean:
	rm -rvf *.o *.lo .libs/ lib* *.c *.cpp *.h
	rm -vf base64_test base64_test.xml

distclean:
	rm -rvf Makefile.inc *.spec debian/

stage:
	$(MAKE) install PREFIX=${stagedir}

install: ${LIB}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix}
	${INSTALL} -m 755 ${LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	(cd ${top_srcdir}/interface; ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix})


%.lo %.o: %.c
	${COMPILE} -o $@ -c $< 


.PHONY: default all compile check stage install clean distclean

=== debian/changelog ===
glite-jobid-api-c (2.1.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module jobid.api-c
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-jobid-api-c-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-jobid-api-c 2.2.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 CC:=gcc
 CXX:=g++
+
+default: all
 
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
@@ -28,6 +30,8 @@
 LINK:=libtool --mode=link ${CC} ${LDFLAGS} 
 LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
+
+SOURCES=interface/*.h src/*.c src/*.h project/.post* test/*.cpp Makefile
 
 LIBOBJS:=cjobid.o strmd5.o 
 HDRS:=cjobid.h strmd5.h
@@ -73,6 +77,7 @@
 clean:
 	rm -rvf *.o *.lo .libs/ lib* *.c *.cpp *.h
 	rm -vf base64_test base64_test.xml
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -90,5 +95,4 @@
 %.lo %.o: %.c
 	${COMPILE} -o $@ -c $< 
 
-
-.PHONY: default all compile check stage install clean distclean
+.PHONY: default all compile check stage install clean distclean dist distcheck

=== debian/changelog ===
glite-jobid-api-c (2.2.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200

=== debian/control ===
Source: glite-jobid-api-c
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool, libssl-dev, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-jobid2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library handling gLite jobid
 C library handling gLite
 jobid.

Package: libglite-jobid-api-c-dev
Section: libdevel
Architecture: any
Provides: glite-jobid-api-c
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite jobid C library
 This package contains development libraries and header files for gLite jobid
 C library.

Package: glite-jobid-api-c-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: gLite jobid library debugging symbols
 This package contains debugging symbols for gLite jobid library.

## glite-jobid-api-c 2.2.7

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 stage:
 	$(MAKE) install PREFIX=${stagedir}

=== debian/changelog ===
glite-jobid-api-c (2.2.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool, libssl-dev, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool, libssl-dev, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=glite-jobid-api-c-dbg
+p_dev=libglite-jobid-api-c-dev
+p_lib=libglite-jobid2
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +31,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,16 +40,18 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -f $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -f $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -f debian/tmp/usr/lib/*.la
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -53,7 +59,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-jobid-api-c-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-jobid-api-c 2.2.10

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,8 @@
 LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
-SOURCES=interface/*.h src/*.c src/*.h project/.post* test/*.cpp Makefile
+SOURCES=interface/*.h src/*.c src/*.h project/.post* test/*.cpp Makefile gen-b64r.pl
+SOURCES_EXEC=gen-b64r.pl
 
 LIBOBJS:=cjobid.o strmd5.o 
 HDRS:=cjobid.h strmd5.h
@@ -47,6 +48,8 @@
 endif
 TEST_LIBS:=-L${cppunit_prefix}/${libdir} -lcppunit ${DL_LIBS}
 TEST_INC:=-I${cppunit_prefix}/include
+LIBCRYPTO_LIBS:=-lcrypto
+LIBCRYPTO_CFLAGS:=
 
 compile all: ${LIB}
 
@@ -65,7 +68,7 @@
 	perl -e '$$,=":"; @F=split /\./,"${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
 ${LIB}: ${LIBOBJS}
-	${LINK} ${version_info} -o $@ ${LIBLOBJS} -rpath ${stagedir}${prefix}/${libdir}
+	${LINK} ${version_info} -o $@ ${LIBLOBJS} -rpath ${stagedir}${prefix}/${libdir} ${LIBCRYPTO_LIBS}
 
 check: compile base64_test
 	./base64_test base64_test.xml
@@ -91,8 +94,12 @@
 	${INSTALL} -m 755 ${LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	(cd ${top_srcdir}/interface; ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix})
 
+b64r.c: ${top_srcdir}/gen-b64r.pl
+	${top_srcdir}/gen-b64r.pl > $@
+
+strmd5.o: b64r.c strmd5.c
 
 %.lo %.o: %.c
-	${COMPILE} -o $@ -c $< 
+	${COMPILE} -o $@ -I. -c $<
 
 .PHONY: default all compile check stage install clean distclean dist distcheck

=== debian/changelog ===
glite-jobid-api-c (2.2.10-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-jobid-api-c-dbg
+p_dbg=libglite-jobid2-dbg
 p_dev=libglite-jobid-api-c-dev
 p_lib=libglite-jobid2

## glite-jobid-api-c 2.2.11

=== debian/changelog ===
glite-jobid-api-c (2.2.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:51 +0100

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
  This package contains development libraries and header files for gLite jobid
  C library.
 
-Package: glite-jobid-api-c-dbg
+Package: libglite-jobid2-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
-Description: gLite jobid library debugging symbols
+Description: Debugging symbols for gLite jobid library
  This package contains debugging symbols for gLite jobid library.

## glite-jobid-api-c 2.2.13

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
-SOURCES=interface/*.h src/*.c src/*.h project/.post* test/*.cpp Makefile gen-b64r.pl
+SOURCES=interface/*.h src/*.c project/.post* test/*.cpp Makefile gen-b64r.pl
 SOURCES_EXEC=gen-b64r.pl
 
 LIBOBJS:=cjobid.o strmd5.o

=== debian/changelog ===
glite-jobid-api-c (2.2.13-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:51 +0200

=== debian/control ===
Source: glite-jobid-api-c
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool-bin, libssl-dev, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-jobid2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library handling gLite jobid
 C library handling gLite
 jobid.

Package: libglite-jobid-api-c-dev
Section: libdevel
Architecture: any
Provides: glite-jobid-api-c
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite jobid C library
 C library handling gLite
 jobid.
 .
 This package contains development libraries and header files for gLite jobid
 C library.

Package: libglite-jobid2-dbg
Section: debug
Architecture: any
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite jobid library
 C library handling gLite
 jobid.
 .
 This package contains debugging symbols for gLite jobid library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-jobid2-dbg
p_dev=libglite-jobid-api-c-dev
p_lib=libglite-jobid2

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.jobid.api-c/glite-jobid-api-c-(.*)\.tar\.gz
